com.io7m.jregions.core.unparameterized.areas

## Class AreaBD.Builder

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.areas.AreaBD.Builder

- Enclosing class:
    AreaBD

      public static final class AreaBD.Builder
      extends Object

  Builds instances of type `AreaBD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AreaBD` | `build()` Builds a new `AreaBD`.
    `AreaBD.Builder` | `from(AreaBDType instance)` Fill a builder with attribute values from the provided `AreaBDType` instance.
    `AreaBD.Builder` | `setMaximumX(BigDecimal maximumX)` Initializes the value for the `maximumX` attribute.
    `AreaBD.Builder` | `setMaximumY(BigDecimal maximumY)` Initializes the value for the `maximumY` attribute.
    `AreaBD.Builder` | `setMinimumX(BigDecimal minimumX)` Initializes the value for the `minimumX` attribute.
    `AreaBD.Builder` | `setMinimumY(BigDecimal minimumY)` Initializes the value for the `minimumY` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final AreaBD.Builder from(AreaBDType instance)

      Fill a builder with attribute values from the provided `AreaBDType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setMinimumX

          public final AreaBD.Builder setMinimumX(BigDecimal minimumX)

      Initializes the value for the `minimumX` attribute.
      Parameters:
        `minimumX` - The value for minimumX
      Returns:
        `this` builder for use in a chained invocation

    - #### setMaximumX

          public final AreaBD.Builder setMaximumX(BigDecimal maximumX)

      Initializes the value for the `maximumX` attribute.
      Parameters:
        `maximumX` - The value for maximumX
      Returns:
        `this` builder for use in a chained invocation

    - #### setMinimumY

          public final AreaBD.Builder setMinimumY(BigDecimal minimumY)

      Initializes the value for the `minimumY` attribute.
      Parameters:
        `minimumY` - The value for minimumY
      Returns:
        `this` builder for use in a chained invocation

    - #### setMaximumY

          public final AreaBD.Builder setMaximumY(BigDecimal maximumY)

      Initializes the value for the `maximumY` attribute.
      Parameters:
        `maximumY` - The value for maximumY
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public AreaBD build()

      Builds a new `AreaBD`.
      Returns:
        An immutable instance of AreaBD
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com